@import '../abstracts/variables';
@import '../abstracts/mixins';
@import '../base/reset';
@import '../base/layout';
@import "button";


a {
  text-decoration: none;
  font-size: 1.4rem;
  font-weight: 400;
}

h6 {
  font-size: 1.3rem;
  font-weight: 500;
  padding-bottom: 0.8rem;
  text-transform: uppercase;
  color: $primary-blue;
  padding: 1.5rem 0 1rem;
  white-space: nowrap;
}

@keyframes show_menu {
  0% {
    opacity: 0;
    transform: translateY(1rem);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes show_mobile {
  0% {
    opacity: 0;
    width: 0;
    height: 0;
    left: 100%;
    top: 0;

  }

  100% {
    opacity: 1;
    height: calc(100% - 4rem);
    width: calc(100% - 4rem);
    left: 0;
    top: 0;
  }
}

.header {
  display: block;
  margin: 2rem 0;

  &__inner {
    @include LayoutFlex(row, space-between, center, nowrap);
  }

  &__menu {

    &--list {
      @include LayoutFlex();
    }

    &--item {
      position: relative;
      transition: all 0.3s;

      .dropdown {

        display: none;
        position: absolute;
        z-index: 100;
        top: 100%;
        opacity: 0;
        
        &-landings {
          left: -250px;
        }

        &-pages {
          left: -200px;
        }

        &-account {
          left: -50px;
        }

        &-doc {
          left: -100px;
        }
      }

      &:hover {
        .dropdown {
          display: block;
          opacity: 1;
          animation: show_menu 0.3s ease;
        }
      }
    }

    &--link {
      display: block;
      font-size: 1.7rem;
      color: $text-blue1;
      padding: 0.8rem 2.4rem;
      transition: color 0.25s;
      font-weight: 400;

      &:hover {
        color: $primary-blue;
      }
    }
  }

  .dropdown {
    a {
      padding: 0rem 1.5rem 1.1rem 0;
      color: $text-blue1;
      display: block;
      width: 100%;
      white-space: nowrap;

      span {
        color: $primary-blue;
        font-size: 1.3rem;
      }

      &:hover {
        color: $primary-blue;
      }
    }

    .list__item {
      display: flex;
      flex-direction: column;

    }

    .list__item+.list__item {
      padding-left: 5.6rem;
    }

    &__landings,
    &__pages,
    &__account,
    &__doc {
      background-color: #fff;
      border-radius: 0.7rem;
      box-shadow: 0 2.4rem 6.4rem #161c2d1a;
    }

    &__landings {
      display: flex;
      background-color: $white;
      overflow: hidden;
      width: 700px;

      &--left {
        background-image: url("../images/photo-3.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        width: 50%;
        @include LayoutFlex();
        position: relative;

        .content {
          text-align: center;
          position: relative;
          z-index: 3;
          color: $white;

          h4 {
            font-size: 1.9rem;
            font-weight: 400;
          }

          p {
            font-size: 1.5rem;
            font-weight: 400;
            margin-bottom: 1.5rem;
          }
        }

        &::before {
          content: "";
          display: block;
          position: absolute;
          top: 0;
          left: 0;
          z-index: 2;
          width: 100%;
          height: 100%;
          background-color: rgba($primary-blue, $alpha: 0.7);
        }
      }

      &--right {
        width: 50%;
        @include LayoutFlex(row, flex-start, center, nowrap);
        padding: 20px 40px;
      }
    }

    &__pages {
      display: flex;
      width: fit-content;
      padding: 2rem 4rem;
    }

    &__account {
      @include LayoutFlex(column, center, space-between, nowrap);
      padding: 1.5rem 0;

      a {
        @include LayoutFlex(row, space-between, center, nowrap);
        padding: 0.5rem !important;
      }

      span {
        font-size: 1.9rem !important;
        color: $text-blue1 !important;
        padding-left: 4rem;
      }

      li {
        position: relative;
        padding: 0 3rem;
        z-index: 2;

        .dropdown {
          position: absolute;
          z-index: 3;
          left: 100%;
          top: -1.5rem;
          display: none;
          width: 100%;
          padding: 1rem 0;
          border-radius: 0.7rem;
          box-shadow: 0 2.4rem 6.4rem #161c2d1a;
          background-color: #fff;
        }

        &:hover {
          .dropdown {
            display: block;

            a {
              padding: 1rem 0rem 1rem 3rem !important;

            }
          }
        }
      }
    }

    &__doc {
      padding: 1rem 2rem 1rem 3rem;

      &--item {
        @include LayoutFlex(row, flex-start, center, nowrap);
        padding-bottom: 1.6rem;
        padding: 0 !important;

        &:hover {
          p {
            color: $text-blue1 !important;
          }
        }
      }

      &--icon {
        margin: 1rem;
        padding-top: 1rem;

        svg {
          height: 3.6rem;
          width: 3.6rem;
        }
      }

      span {
        float: right;
        display: block;
        width: 6rem;
        margin-left: 3rem;
        border-radius: 1rem;
        text-align: center;
        background-color: rgba($primary-blue, $alpha: 0.1);
        color: $primary-blue !important;

      }

      h6 {
        padding: 0.5rem 0 !important;
      }
    }
  }

  .dropdown__doc--item+.dropdown__doc--item {
    border-top: 1px solid $bg-gray;
  }

  .icon__mobile {
    display: none;
  }

  .menu__mobile {
    display: none;
  }
}

@include Responsive(md) {

  .header {
    margin-top: 3.5rem;

    .header__menu,
    .header__btn {
      display: none;
    }

    .icon__mobile {
      display: block;
      cursor: pointer;

      i {
        font-size: 3rem;
        font-weight: 400;
        color: $text-blue1;
      }
    }

    .menu__mobile {
      display: none;
      overflow: scroll;
      height: calc(100% - 4rem);
      width: calc(100% - 4rem);
      position: fixed;
      margin: 2rem;
      z-index: 1;
      top: 0;
      left: 0;
      background-color: #fff;
      overflow-x: hidden;
      border-radius: 0.7rem;
      box-shadow: 0 2.4rem 6.4rem #161c2d1a;

      &--show {
        display: block;
        animation: show_mobile 0.3s ease;
      }

      &--cancel {
        position: absolute;
        z-index: 10;
        top: 2rem;
        right: 4rem;
        font-size: 2rem;
        color: $text-blue1;
        cursor: pointer;
      }

      .header__menu,
      .header__btn {
        display: block;

      }

      .header__menu {
        &--list {
          flex-direction: column;
          align-items: flex-start;
        }

        &--link {
          padding: 3rem 0 0 3.5rem !important;
          cursor: default;

          &:hover {
            color: $text-blue1;
          }
        }

        &--item {
          width: 100%;

          .dropdown {
            position: static;
            opacity: 1;
            display: block !important;

            &__landings,
            &__pages,
            &__account,
            &__doc {

              flex-wrap: wrap;
              width: 100%;
              border-radius: 0;
              box-shadow: none;
              padding-top: 2rem;
              border-bottom: 1px solid #e1e1e1;
            }

            &__landings--left {
              display: none !important;

            }
          }

          &:hover {
            .dropdown {
              display: block;
              opacity: 1;
              animation-name: none;
              animation-duration: 0;
            }
          }
        }
      }

      .dropdown__landings--right {
        width: 100%;
        align-items: flex-start;
        padding: 0px 40px 20px 40px;
      }

      .list__item {
        width: 50%;
      }

      .list__item+.list__item {
        padding: 0;
  
      }

      .dropdown__account--item {
        .dropdown {
          display: none !important;
        }
        .icon{
          transform: rotateZ(90deg);
           margin-top: -4rem;
        }
        &:hover {
          
          .dropdown {
            display: none ;
            box-shadow: none;
            position: static;

            a {
              padding: 0rem 1rem 0.7rem 1rem !important;
              color: $text-blue1;
              display: block;
              width: 100%;
              white-space: nowrap;
            }
          }
        }
      }
      .dropdown__account--active{
        .icon{
          transform: rotateZ(-90deg);
           margin-top: 4rem;
        }
        .dropdown {
          display: block !important;
          box-shadow: none;
          position: static;
        
          a {
            padding: 0rem 1rem 0.7rem 1rem !important;
            color: $text-blue1;
            display: block;
            width: 100%;
            white-space: nowrap;
          }
        }
      }
      .dropdown__pages {
        padding-bottom: -3rem !important;

        .order-1 {
          order: 2;
        }

        .order-2 {
          order: 1;
        }

        .order-3 {
          order: 3;
          transform: translateY(-7.5rem);
        }

      }


      .dropdown__doc {
        width: 100%;

        &--item {
          width: 100%;
          position: relative;
        }

        span {
          position: absolute;
          right: 0.5rem;
          top: 3rem;
        }
      }

      .btn__blue {
        width: 100%;
        border-radius: 0;
        padding: 1.8rem;
        border-end-end-radius: 0.7rem;
        border-end-start-radius: 0.7rem;

      }
    }
  }
}